<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css" >
    <title>魔王戦闘</title>
    <link rel="stylesheet" href="css/style.css">
    <link rel="stylesheet" href="css/monster.css">
    <link rel="stylesheet" href="css/item.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/gsap/3.2.6/gsap.min.js"></script>
    <script src="jquery.min.js"></script>
    <style>
        .bg {
            position: absolute;
            left: 0%;
            width: 0%;
            height: 100%;
            background:url(img/kingdom.jpg);
            background-repeat: no-repeat;
            background-size: cover;
            z-index: -1;
        }
    </style>
</head>
<body>
    <main>
        <div class="bg"></div>
        <section>
            <div class="paramater">
                <ul>
                    <li>名前　　　：勇者さん</li>
                    <li>体力　　　：　100　</li>
                    <li>レベル　　：　100</li>
                    <li>ゴールド　：　1000　G</li>
                </ul>
            </div>

            <div class="col-md-12 monsterking">
                <ul>
                    <li>
                        <img src="img/demonKing03.jpg">
                    </li>
                </ul>
            </div>

            <div class="control col-md-10 row">
                <div class="col-md-3 comand">
                    <ul>
                        <button id="battle"><li>たたかう</li></button>
                        <button id="useitem"><li>道具</li></button>
                        <button><li>逃げる</li></button>
                    </ul>
                </div>
                <div class="col-md-9 texts">
                    <p id="a">魔王があらわれた</p>
                    <button>
                        <img src="img/arrow.jpg" alt="">
                    </button>
                </div>
            </div>
        </section>

<!--ーーーーーーーーーーーーーー  攻撃対象のモンスターを選ぶセクション　ーーーーーーーーー-->
<section>
    <div class="itemsell itemcollections">
        <div class="itemselect">
            <ul>

                <button>
                    <li class="row">
                        <img class="mr-3" src="img/demonking03.jpg" alt="">
                        <div class="text mx-2 row">
                            <p class="mx-2" >すごい薬草</p>
                        </div>
                    </li>
                </button>

                <button>
                    <li class="row">
                        <img class="mr-3" src="img/monster02.jpg" alt="">
                        <div class="text mx-2 row">
                            <p class="mx-2" >すごい薬草</p>
                        </div>
                    </li>
                </button>

                <button>
                    <li class="row">
                        <img class="mr-3" src="img/monster03.jpg" alt="">
                        <div class="text mx-2 row">
                            <p class="mx-2" >すごい薬草</p>
                        </div>
                    </li>
                </button>

                <button>
                    <li class="row">
                        <img class="mr-3" src="img/monster05.jpg" alt="">
                        <div class="text mx-2 row">
                            <p class="mx-2" >すごい薬草</p>
                        </div>
                    </li>
                </button>

                <button>
                    <li class="row">
                        <img class="mr-3" src="img/monster06.jpg" alt="">
                        <div class="text mx-2 row">
                            <p class="mx-2" >すごい薬草</p>
                        </div>
                    </li>
                </button>
                                      
            </ul>

            <div class="back">
                <p class="showdown">やめる</p>
            </div>
        </div>
    </div>
</section>

<!--ーーーーーーーーーーーーーー使う道具を選ぶセクションーーーーーーーーー-->
<section>
    <div class="itemlist itemcollections">
        <div class="itemselect">
            <ul class="row">
                <div class="mr-3 itemselect-column">

                    <button>
                        <li class="row">
                            <img class="mr-3" src="img/yakusou02.png" alt="">
                            <div class="text mx-2 row">
                                <p class="mx-2" >すごい薬草</p>
                            </div>
                        </li>
                    </button>

                    <button>
                        <li class="row">
                            <img class="mr-3" src="img/yakusou02.png" alt="">
                            <div class="text mx-2 row">
                                <p class="mx-2" >すごい薬草</p>
                            </div>
                        </li>
                    </button>

                    <button>
                        <li class="row">
                            <img class="mr-3" src="img/yakusou02.png" alt="">
                            <div class="text mx-2 row">
                                <p class="mx-2" >すごい薬草</p>
                            </div>
                        </li>
                    </button>

                    <button>
                        <li class="row">
                            <img class="mr-3" src="img/yakusou02.png" alt="">
                            <div class="text mx-2 row">
                                <p class="mx-2" >すごい薬草</p>
                            </div>
                        </li>
                    </button>

                    <button>
                        <li class="row">
                            <img class="mr-3" src="img/yakusou02.png" alt="">
                            <div class="text mx-2 row">
                                <p class="mx-2" >すごい薬草</p>
                            </div>
                        </li>
                    </button>

                </div>
                
                <!--  2nd row -->

                <div class="ml-3 itemselect-column">

                    <button>
                        <li class="row">
                            <img class="mr-3" src="img/yakusou02.png" alt="">
                            <div class="text mx-2 row">
                                <p class="mx-2" >すごい薬草</p>
                            </div>
                        </li>
                    </button>

                    <button>
                        <li class="row">
                            <img class="mr-3" src="img/yakusou02.png" alt="">
                            <div class="text mx-2 row">
                                <p class="mx-2" >すごい薬草</p>
                            </div>
                        </li>
                    </button>

                    <button>
                        <li class="row">
                            <img class="mr-3" src="img/yakusou02.png" alt="">
                            <div class="text mx-2 row">
                                <p class="mx-2" >すごい薬草</p>
                            </div>
                        </li>
                    </button>

                    <button>
                        <li class="row">
                            <img class="mr-3" src="img/yakusou02.png" alt="">
                            <div class="text mx-2 row">
                                <p class="mx-2" >すごい薬草</p>
                            </div>
                        </li>
                    </button>

                    <button>
                        <li class="row">
                            <img class="mr-3" src="img/yakusou02.png" alt="">
                            <div class="text mx-2 row">
                                <p class="mx-2" >すごい薬草</p>
                            </div>
                        </li>
                    </button>

                </div>
                                       
            </ul>

            <div class="back">
                <p class="showdown">やめる</p>
            </div>
        </div>
    </div>
</section>

</main>
<script src="common.js"></script>
<script>
//使うアイテムを買うときの画面の処理
$(function(){
    $('#useitem').click(function(){
    $('.itemlist').fadeIn();
    });
    $('.showdown').click(function(){
    $('.itemlist').fadeOut();
    });
})

 //アイテムを売るときの画面の処理
 $(function(){
    $('#battle').click(function(){
    $('.itemsell').fadeIn();
    });
    $('.showdown').click(function(){
    $('.itemsell').fadeOut();
    });
})
</script>    
</body>
</html>